Autor Tópico: [RESOLVIDO] - Erro na geração do PDF. 404 Not Found.  (Lida 2323 vezes)

flaviomorais

  • Avançado
  • ****
  • Mensagens: 348
    • Email
Re:Erro na geração do PDF. 404 Not Found.
« Responder #15 Online: Dezembro 17, 2014, 01:39:53 pm »
Também acho a solução questionável, mas... quando voce publicou a aplicação não escolheu colocar as bibliotecas junto ? por que normalmente o SC copia junto isso para o third
« Última modificação: Maio 09, 2016, 11:37:24 am por Ronyan Alves »

Celso R.

  • Expert
  • *****
  • Mensagens: 941
Re:Erro na geração do PDF. 404 Not Found.
« Responder #16 Online: Dezembro 17, 2014, 06:32:01 pm »
Caro Flavio escolhi sim colocar todas as bibliotecas ele criou tudo certo os diretórios e os arquivos. Inclusive agora estou com problemas em arquivo swf do flash que faz acesso a webcam. Na minha hospedagem que não é vps funciona mas aqui no vps nada. Estou tentando fazer o acesso a webcam com html5.
Celso R.
________________________________
SC - V 8

gleisonrgf

  • Novato
  • *
  • Mensagens: 15
    • Email
Re:Erro na geração do PDF. 404 Not Found.
« Responder #17 Online: Março 26, 2015, 11:05:04 am »
Muito Obrigado pela solução, realizei este procedimento em meu servidor e funcionou tudo como esperado

Ronyan Alves

  • Administrator
  • Avançado
  • *****
  • Mensagens: 353
Re:Erro na geração do PDF. 404 Not Found.
« Responder #18 Online: Maio 09, 2016, 11:20:48 am »
Obrigado flaviomorais
Resolvi com o seguinte comando e é claro né uma noite de sonho ótima rsrsrs:

apt-get install wkhtmltopdf

Código: [Selecionar]
root@vpsxxxxxxxxxx:~# apt-get install wkhtmltopdf
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  iso-codes libaudio2 libdrm-nouveau2 libelf1 libgl1-mesa-dri libgl1-mesa-glx
  libglapi-mesa libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libice6
  libllvm3.4 liborc-0.4-0 libqt4-declarative libqt4-network libqt4-opengl
  libqt4-script libqt4-sql libqt4-sql-mysql libqt4-xml libqt4-xmlpatterns
  libqtcore4 libqtdbus4 libqtgui4 libqtwebkit4 libsm6 libtxc-dxtn-s2tc0
  libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0
  libxcb-sync1 libxdamage1 libxext6 libxfixes3 libxi6 libxrender1
  libxshmfence1 libxslt1.1 libxt6 libxxf86vm1 qtcore4-l10n x11-common
Suggested packages:
  isoquery nas libglide3 libvisual-0.4-plugins gstreamer-codec-install
  gnome-codec-install gstreamer1.0-tools gstreamer1.0-plugins-base
  libqt4-declarative-folderlistmodel libqt4-declarative-gestures
  libqt4-declarative-particles libqt4-declarative-shaders qt4-qmlviewer
  libqt4-dev libicu48 libthai0 qt4-qtconfig xserver xvfb
The following NEW packages will be installed:
  iso-codes libaudio2 libdrm-nouveau2 libelf1 libgl1-mesa-dri libgl1-mesa-glx
  libglapi-mesa libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libice6
  libllvm3.4 liborc-0.4-0 libqt4-declarative libqt4-network libqt4-opengl
  libqt4-script libqt4-sql libqt4-sql-mysql libqt4-xml libqt4-xmlpatterns
  libqtcore4 libqtdbus4 libqtgui4 libqtwebkit4 libsm6 libtxc-dxtn-s2tc0
  libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0
  libxcb-sync1 libxdamage1 libxext6 libxfixes3 libxi6 libxrender1
  libxshmfence1 libxslt1.1 libxt6 libxxf86vm1 qtcore4-l10n wkhtmltopdf
  x11-common
0 upgraded, 44 newly installed, 0 to remove and 34 not upgraded.
Need to get 34.3 MB of archives.
After this operation, 161 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libelf1 amd64 0.158-0ubuntu5.1 [38.3 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty/main libxext6 amd64 2:1.3.2-1 [33.9 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty/main x11-common all 1:7.7+1ubuntu8 [49.8 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty/main libice6 amd64 2:1.0.8-2 [47.0 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ trusty/main libsm6 amd64 2:1.2.1-2 [18.1 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty/main libxt6 amd64 1:1.1.4-1 [185 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ trusty/main libaudio2 amd64 1.9.4-1 [57.1 kB]
Get:8 http://archive.ubuntu.com/ubuntu/ trusty/main libdrm-nouveau2 amd64 2.4.52-1 [13.4 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ trusty/main libllvm3.4 amd64 1:3.4-1ubuntu3 [6540 kB]
Get:10 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgl1-mesa-dri amd64 10.1.3-0ubuntu0.2 [4567 kB]
Get:11 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libglapi-mesa amd64 10.1.3-0ubuntu0.2 [21.4 kB]
Get:12 http://archive.ubuntu.com/ubuntu/ trusty/main libx11-xcb1 amd64 2:1.6.2-1ubuntu2 [9426 B]
Get:13 http://archive.ubuntu.com/ubuntu/ trusty/main libxcb-dri2-0 amd64 1.10-2ubuntu1 [6710 B]
Get:14 http://archive.ubuntu.com/ubuntu/ trusty/main libxcb-dri3-0 amd64 1.10-2ubuntu1 [5118 B]
Get:15 http://archive.ubuntu.com/ubuntu/ trusty/main libxcb-glx0 amd64 1.10-2ubuntu1 [20.0 kB]
Get:16 http://archive.ubuntu.com/ubuntu/ trusty/main libxcb-present0 amd64 1.10-2ubuntu1 [5254 B]
Get:17 http://archive.ubuntu.com/ubuntu/ trusty/main libxcb-sync1 amd64 1.10-2ubuntu1 [8090 B]
Get:18 http://archive.ubuntu.com/ubuntu/ trusty/main libxdamage1 amd64 1:1.1.4-1ubuntu1 [7612 B]
Get:19 http://archive.ubuntu.com/ubuntu/ trusty/main libxfixes3 amd64 1:5.0.1-1ubuntu1 [11.7 kB]
Get:20 http://archive.ubuntu.com/ubuntu/ trusty/main libxshmfence1 amd64 1.1-2 [4644 B]
Get:21 http://archive.ubuntu.com/ubuntu/ trusty/main libxxf86vm1 amd64 1:1.1.3-1 [11.7 kB]
Get:22 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgl1-mesa-glx amd64 10.1.3-0ubuntu0.2 [114 kB]
Get:23 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgstreamer1.0-0 amd64 1.2.4-0ubuntu1 [596 kB]
Get:24 http://archive.ubuntu.com/ubuntu/ trusty/main liborc-0.4-0 amd64 1:0.4.18-1ubuntu1 [136 kB]
Get:25 http://archive.ubuntu.com/ubuntu/ trusty/main iso-codes all 3.52-1 [2073 kB]
Get:26 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libgstreamer-plugins-base1.0-0 amd64 1.2.4-1~ubuntu1 [436 kB]
Get:27 http://archive.ubuntu.com/ubuntu/ trusty/main qtcore4-l10n all 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [586 kB]
Get:28 http://archive.ubuntu.com/ubuntu/ trusty/main libqtcore4 amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [1547 kB]
Get:29 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-xml amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [95.1 kB]
Get:30 http://archive.ubuntu.com/ubuntu/ trusty/main libqtdbus4 amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [180 kB]
Get:31 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-network amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [542 kB]
Get:32 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-script amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [777 kB]
Get:33 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-sql amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [97.6 kB]
Get:34 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-xmlpatterns amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [1027 kB]
Get:35 http://archive.ubuntu.com/ubuntu/ trusty/main libxi6 amd64 2:1.7.1.901-1ubuntu1 [31.9 kB]
Get:36 http://archive.ubuntu.com/ubuntu/ trusty/main libxrender1 amd64 1:0.9.8-1 [20.9 kB]
Get:37 http://archive.ubuntu.com/ubuntu/ trusty/main libqtgui4 amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [4129 kB]
Get:38 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-declarative amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [1076 kB]
Get:39 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-opengl amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [296 kB]
Get:40 http://archive.ubuntu.com/ubuntu/ trusty/main libqt4-sql-mysql amd64 4:4.8.5+git192-g085f851+dfsg-2ubuntu4 [30.3 kB]
Get:41 http://archive.ubuntu.com/ubuntu/ trusty/main libxslt1.1 amd64 1.1.28-2build1 [145 kB]
Get:42 http://archive.ubuntu.com/ubuntu/ trusty/main libqtwebkit4 amd64 2.3.2-0ubuntu7 [8561 kB]
Get:43 http://archive.ubuntu.com/ubuntu/ trusty/main libtxc-dxtn-s2tc0 amd64 0~git20131104-1.1 [51.8 kB]
Get:44 http://archive.ubuntu.com/ubuntu/ trusty/universe wkhtmltopdf amd64 0.9.9-4 [103 kB]
Fetched 34.3 MB in 5s (6227 kB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously unselected package libelf1:amd64.
(Reading database ... 28706 files and directories currently installed.)
Preparing to unpack .../libelf1_0.158-0ubuntu5.1_amd64.deb ...
Unpacking libelf1:amd64 (0.158-0ubuntu5.1) ...
Selecting previously unselected package libxext6:amd64.
Preparing to unpack .../libxext6_2%3a1.3.2-1_amd64.deb ...
Unpacking libxext6:amd64 (2:1.3.2-1) ...
Selecting previously unselected package x11-common.
Preparing to unpack .../x11-common_1%3a7.7+1ubuntu8_all.deb ...
Unpacking x11-common (1:7.7+1ubuntu8) ...
Selecting previously unselected package libice6:amd64.
Preparing to unpack .../libice6_2%3a1.0.8-2_amd64.deb ...
Unpacking libice6:amd64 (2:1.0.8-2) ...
Selecting previously unselected package libsm6:amd64.
Preparing to unpack .../libsm6_2%3a1.2.1-2_amd64.deb ...
Unpacking libsm6:amd64 (2:1.2.1-2) ...
Selecting previously unselected package libxt6:amd64.
Preparing to unpack .../libxt6_1%3a1.1.4-1_amd64.deb ...
Unpacking libxt6:amd64 (1:1.1.4-1) ...
Selecting previously unselected package libaudio2:amd64.
Preparing to unpack .../libaudio2_1.9.4-1_amd64.deb ...
Unpacking libaudio2:amd64 (1.9.4-1) ...
Selecting previously unselected package libdrm-nouveau2:amd64.
Preparing to unpack .../libdrm-nouveau2_2.4.52-1_amd64.deb ...
Unpacking libdrm-nouveau2:amd64 (2.4.52-1) ...
Selecting previously unselected package libllvm3.4:amd64.
Preparing to unpack .../libllvm3.4_1%3a3.4-1ubuntu3_amd64.deb ...
Unpacking libllvm3.4:amd64 (1:3.4-1ubuntu3) ...
Selecting previously unselected package libgl1-mesa-dri:amd64.
Preparing to unpack .../libgl1-mesa-dri_10.1.3-0ubuntu0.2_amd64.deb ...
Unpacking libgl1-mesa-dri:amd64 (10.1.3-0ubuntu0.2) ...
Selecting previously unselected package libglapi-mesa:amd64.
Preparing to unpack .../libglapi-mesa_10.1.3-0ubuntu0.2_amd64.deb ...
Unpacking libglapi-mesa:amd64 (10.1.3-0ubuntu0.2) ...
Selecting previously unselected package libx11-xcb1:amd64.
Preparing to unpack .../libx11-xcb1_2%3a1.6.2-1ubuntu2_amd64.deb ...
Unpacking libx11-xcb1:amd64 (2:1.6.2-1ubuntu2) ...
Selecting previously unselected package libxcb-dri2-0:amd64.
Preparing to unpack .../libxcb-dri2-0_1.10-2ubuntu1_amd64.deb ...
Unpacking libxcb-dri2-0:amd64 (1.10-2ubuntu1) ...
Selecting previously unselected package libxcb-dri3-0:amd64.
Preparing to unpack .../libxcb-dri3-0_1.10-2ubuntu1_amd64.deb ...
Unpacking libxcb-dri3-0:amd64 (1.10-2ubuntu1) ...
Selecting previously unselected package libxcb-glx0:amd64.
Preparing to unpack .../libxcb-glx0_1.10-2ubuntu1_amd64.deb ...
Unpacking libxcb-glx0:amd64 (1.10-2ubuntu1) ...
Selecting previously unselected package libxcb-present0:amd64.
Preparing to unpack .../libxcb-present0_1.10-2ubuntu1_amd64.deb ...
Unpacking libxcb-present0:amd64 (1.10-2ubuntu1) ...
Selecting previously unselected package libxcb-sync1:amd64.
Preparing to unpack .../libxcb-sync1_1.10-2ubuntu1_amd64.deb ...
Unpacking libxcb-sync1:amd64 (1.10-2ubuntu1) ...
Selecting previously unselected package libxdamage1:amd64.
Preparing to unpack .../libxdamage1_1%3a1.1.4-1ubuntu1_amd64.deb ...
Unpacking libxdamage1:amd64 (1:1.1.4-1ubuntu1) ...
Selecting previously unselected package libxfixes3:amd64.
Preparing to unpack .../libxfixes3_1%3a5.0.1-1ubuntu1_amd64.deb ...
Unpacking libxfixes3:amd64 (1:5.0.1-1ubuntu1) ...
Selecting previously unselected package libxshmfence1:amd64.
Preparing to unpack .../libxshmfence1_1.1-2_amd64.deb ...
Unpacking libxshmfence1:amd64 (1.1-2) ...
Selecting previously unselected package libxxf86vm1:amd64.
Preparing to unpack .../libxxf86vm1_1%3a1.1.3-1_amd64.deb ...
Unpacking libxxf86vm1:amd64 (1:1.1.3-1) ...
Selecting previously unselected package libgl1-mesa-glx:amd64.
Preparing to unpack .../libgl1-mesa-glx_10.1.3-0ubuntu0.2_amd64.deb ...
Unpacking libgl1-mesa-glx:amd64 (10.1.3-0ubuntu0.2) ...
Selecting previously unselected package libgstreamer1.0-0:amd64.
Preparing to unpack .../libgstreamer1.0-0_1.2.4-0ubuntu1_amd64.deb ...
Unpacking libgstreamer1.0-0:amd64 (1.2.4-0ubuntu1) ...
Selecting previously unselected package liborc-0.4-0:amd64.
Preparing to unpack .../liborc-0.4-0_1%3a0.4.18-1ubuntu1_amd64.deb ...
Unpacking liborc-0.4-0:amd64 (1:0.4.18-1ubuntu1) ...
Selecting previously unselected package iso-codes.
Preparing to unpack .../iso-codes_3.52-1_all.deb ...
Unpacking iso-codes (3.52-1) ...
Selecting previously unselected package libgstreamer-plugins-base1.0-0:amd64.
Preparing to unpack .../libgstreamer-plugins-base1.0-0_1.2.4-1~ubuntu1_amd64.deb ...
Unpacking libgstreamer-plugins-base1.0-0:amd64 (1.2.4-1~ubuntu1) ...
Selecting previously unselected package qtcore4-l10n.
Preparing to unpack .../qtcore4-l10n_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_all.deb ...
Unpacking qtcore4-l10n (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqtcore4:amd64.
Preparing to unpack .../libqtcore4_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqtcore4:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-xml:amd64.
Preparing to unpack .../libqt4-xml_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-xml:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqtdbus4:amd64.
Preparing to unpack .../libqtdbus4_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqtdbus4:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-network:amd64.
Preparing to unpack .../libqt4-network_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-network:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-script:amd64.
Preparing to unpack .../libqt4-script_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-script:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-sql:amd64.
Preparing to unpack .../libqt4-sql_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-sql:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-xmlpatterns:amd64.
Preparing to unpack .../libqt4-xmlpatterns_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-xmlpatterns:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libxi6:amd64.
Preparing to unpack .../libxi6_2%3a1.7.1.901-1ubuntu1_amd64.deb ...
Unpacking libxi6:amd64 (2:1.7.1.901-1ubuntu1) ...
Selecting previously unselected package libxrender1:amd64.
Preparing to unpack .../libxrender1_1%3a0.9.8-1_amd64.deb ...
Unpacking libxrender1:amd64 (1:0.9.8-1) ...
Selecting previously unselected package libqtgui4:amd64.
Preparing to unpack .../libqtgui4_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqtgui4:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-declarative:amd64.
Preparing to unpack .../libqt4-declarative_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-declarative:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-opengl:amd64.
Preparing to unpack .../libqt4-opengl_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-opengl:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libqt4-sql-mysql:amd64.
Preparing to unpack .../libqt4-sql-mysql_4%3a4.8.5+git192-g085f851+dfsg-2ubuntu4_amd64.deb ...
Unpacking libqt4-sql-mysql:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Selecting previously unselected package libxslt1.1:amd64.
Preparing to unpack .../libxslt1.1_1.1.28-2build1_amd64.deb ...
Unpacking libxslt1.1:amd64 (1.1.28-2build1) ...
Selecting previously unselected package libqtwebkit4:amd64.
Preparing to unpack .../libqtwebkit4_2.3.2-0ubuntu7_amd64.deb ...
Unpacking libqtwebkit4:amd64 (2.3.2-0ubuntu7) ...
Selecting previously unselected package libtxc-dxtn-s2tc0:amd64.
Preparing to unpack .../libtxc-dxtn-s2tc0_0~git20131104-1.1_amd64.deb ...
Unpacking libtxc-dxtn-s2tc0:amd64 (0~git20131104-1.1) ...
Selecting previously unselected package wkhtmltopdf.
Preparing to unpack .../wkhtmltopdf_0.9.9-4_amd64.deb ...
Unpacking wkhtmltopdf (0.9.9-4) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Setting up libelf1:amd64 (0.158-0ubuntu5.1) ...
Setting up libxext6:amd64 (2:1.3.2-1) ...
Setting up x11-common (1:7.7+1ubuntu8) ...
 * Setting up X socket directories...                                                                                                          [ OK ]
Setting up libice6:amd64 (2:1.0.8-2) ...
Setting up libsm6:amd64 (2:1.2.1-2) ...
Setting up libxt6:amd64 (1:1.1.4-1) ...
Setting up libaudio2:amd64 (1.9.4-1) ...
Setting up libdrm-nouveau2:amd64 (2.4.52-1) ...
Setting up libllvm3.4:amd64 (1:3.4-1ubuntu3) ...
Setting up libgl1-mesa-dri:amd64 (10.1.3-0ubuntu0.2) ...
Setting up libglapi-mesa:amd64 (10.1.3-0ubuntu0.2) ...
Setting up libx11-xcb1:amd64 (2:1.6.2-1ubuntu2) ...
Setting up libxcb-dri2-0:amd64 (1.10-2ubuntu1) ...
Setting up libxcb-dri3-0:amd64 (1.10-2ubuntu1) ...
Setting up libxcb-glx0:amd64 (1.10-2ubuntu1) ...
Setting up libxcb-present0:amd64 (1.10-2ubuntu1) ...
Setting up libxcb-sync1:amd64 (1.10-2ubuntu1) ...
Setting up libxdamage1:amd64 (1:1.1.4-1ubuntu1) ...
Setting up libxfixes3:amd64 (1:5.0.1-1ubuntu1) ...
Setting up libxshmfence1:amd64 (1.1-2) ...
Setting up libxxf86vm1:amd64 (1:1.1.3-1) ...
Setting up libgl1-mesa-glx:amd64 (10.1.3-0ubuntu0.2) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode
Setting up libgstreamer1.0-0:amd64 (1.2.4-0ubuntu1) ...
Setting up liborc-0.4-0:amd64 (1:0.4.18-1ubuntu1) ...
Setting up iso-codes (3.52-1) ...
Setting up libgstreamer-plugins-base1.0-0:amd64 (1.2.4-1~ubuntu1) ...
Setting up qtcore4-l10n (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqtcore4:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqt4-xml:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqtdbus4:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqt4-network:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqt4-script:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqt4-sql:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqt4-xmlpatterns:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libxi6:amd64 (2:1.7.1.901-1ubuntu1) ...
Setting up libxrender1:amd64 (1:0.9.8-1) ...
Setting up libqt4-sql-mysql:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libxslt1.1:amd64 (1.1.28-2build1) ...
Setting up libtxc-dxtn-s2tc0:amd64 (0~git20131104-1.1) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/libtxc_dxtn_s2tc.so.0 to provide /usr/lib/x86_64-linux-gnu/libtxc_dxtn.so (libtxc-dxtn-x86_64-linux-gnu) in auto mode
Setting up libqtgui4:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqt4-declarative:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqt4-opengl:amd64 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) ...
Setting up libqtwebkit4:amd64 (2.3.2-0ubuntu7) ...
Setting up wkhtmltopdf (0.9.9-4) ...
Processing triggers for libc-bin (2.19-0ubuntu6.3) ...

Ubuntu server 14.04 64 bits

MUITA COISA SÓ PARA GERAR PDF SERÁ QUE NÃO TERIA ALTERNATIVAS MELHORES PARA NETMAKE UTILIZAR?

Celso, se você tivesse seguido o artigo : https://suporte.scriptcase.com.br/index.php?/Knowledgebase/Article/View/647/0/geracao-de-pdf-exibe-mensagem-not-found

O seu sistema iria acusar que algumas bibliotecas não estavam instaladas ou estavam desatualizadas.
Assim o seu sistema operacional que não possuía as dependências para a execução da wkhtmltopdf.

As bibliotecas que o scriptcase gera no momento de publicação são referentes à:
1 - arquivos do ambiente de produção ( _lib )
2 - arquivos de css e temas.

Não possuem relação com as bibliotecas do sistema operacional.
--

Ronyan Alves
Equipe Scriptcase

Celso R.

  • Expert
  • *****
  • Mensagens: 941
Re:Erro na geração do PDF. 404 Not Found.
« Responder #19 Online: Maio 09, 2016, 11:37:22 am »
Caro Ronyan.
Agradeço sua resposta meio que tardia.
Mas minha dúvida surgiu no dia 13 de Dezembro de 2014.
O artigo que o Sr. sugere para que eu leia é de 2015.


Portanto eu não teria como ler essa dica.
Mas vale a dica para os demais colegas que por ventura precisarem desse artigo.
Celso R.
________________________________
SC - V 8